## gnome-rr-config

gnome-rr-config

## Functions

double | gnome_rr_output_info_get_aspect_ratio ()
char * | gnome_rr_output_info_get_display_name ()
void | gnome_rr_output_info_get_geometry ()
char * | gnome_rr_output_info_get_name ()
int | gnome_rr_output_info_get_preferred_height ()
int | gnome_rr_output_info_get_preferred_width ()
gboolean | gnome_rr_output_info_get_primary ()
const char * | gnome_rr_output_info_get_product ()
int | gnome_rr_output_info_get_refresh_rate ()
GnomeRRRotation | gnome_rr_output_info_get_rotation ()
const char * | gnome_rr_output_info_get_serial ()
gboolean | gnome_rr_output_info_get_underscanning ()
const char * | gnome_rr_output_info_get_vendor ()
gboolean | gnome_rr_output_info_is_active ()
gboolean | gnome_rr_output_info_is_connected ()
gboolean | gnome_rr_output_info_is_primary_tile ()
void | gnome_rr_output_info_set_active ()
void | gnome_rr_output_info_set_geometry ()
void | gnome_rr_output_info_set_primary ()
void | gnome_rr_output_info_set_refresh_rate ()
void | gnome_rr_output_info_set_rotation ()
void | gnome_rr_output_info_set_underscanning ()
gboolean | gnome_rr_output_info_supports_rotation ()
GnomeRRConfig * | gnome_rr_config_new_current ()
gboolean | gnome_rr_config_apply ()
gboolean | gnome_rr_config_apply_persistent ()
gboolean | gnome_rr_config_match ()
gboolean | gnome_rr_config_equal ()
void | gnome_rr_config_sanitize ()
gboolean | gnome_rr_config_applicable ()
gboolean | gnome_rr_config_ensure_primary ()
gboolean | gnome_rr_config_get_clone ()
GnomeRROutputInfo ** | gnome_rr_config_get_outputs ()
gboolean | gnome_rr_config_load_current ()
void | gnome_rr_config_set_clone ()

## Types and Values

| GnomeRROutputInfo
struct | GnomeRROutputInfoClass
| GnomeRRConfig
struct | GnomeRRConfigClass

## Description

## Functions

### gnome_rr_output_info_get_aspect_ratio ()

    double
    gnome_rr_output_info_get_aspect_ratio (GnomeRROutputInfo *self);

### gnome_rr_output_info_get_display_name ()

    char *
    gnome_rr_output_info_get_display_name (GnomeRROutputInfo *self);

#### Returns

the display name of this output.

[transfer none]

### gnome_rr_output_info_get_geometry ()

    void
    gnome_rr_output_info_get_geometry (GnomeRROutputInfo *self,
                                       int *x,
                                       int *y,
                                       int *width,
                                       int *height);

Get the geometry for the monitor connected to the specified output.

If the monitor is a tiled monitor, it returns the geometry for the complete monitor.

#### Parameters

self | a GnomeRROutputInfo |
x | . | [out][optional]
y | . | [out][optional]
width | . | [out][optional]
height | . | [out][optional]

### gnome_rr_output_info_get_name ()

    char *
    gnome_rr_output_info_get_name (GnomeRROutputInfo *self);

Retrieves the output name.

#### Parameters

self | the output information |

#### Returns

the output name.

[transfer none]

### gnome_rr_output_info_get_preferred_height ()

    int
    gnome_rr_output_info_get_preferred_height
                                   (GnomeRROutputInfo *self);

### gnome_rr_output_info_get_preferred_width ()

    int
    gnome_rr_output_info_get_preferred_width
                                   (GnomeRROutputInfo *self);

### gnome_rr_output_info_get_primary ()

    gboolean
    gnome_rr_output_info_get_primary (GnomeRROutputInfo *self);

### gnome_rr_output_info_get_product ()

    const char *
    gnome_rr_output_info_get_product (GnomeRROutputInfo *self);

### gnome_rr_output_info_get_refresh_rate ()

    int
    gnome_rr_output_info_get_refresh_rate (GnomeRROutputInfo *self);

### gnome_rr_output_info_get_rotation ()

    GnomeRRRotation
    gnome_rr_output_info_get_rotation (GnomeRROutputInfo *self);

### gnome_rr_output_info_get_serial ()

    const char *
    gnome_rr_output_info_get_serial (GnomeRROutputInfo *self);

### gnome_rr_output_info_get_underscanning ()

    gboolean
    gnome_rr_output_info_get_underscanning
                                   (GnomeRROutputInfo *self);

### gnome_rr_output_info_get_vendor ()

    const char *
    gnome_rr_output_info_get_vendor (GnomeRROutputInfo *self);

#### Parameters

self | the output information |

#### Returns

the output's vendor string.

[transfer none]

### gnome_rr_output_info_is_active ()

    gboolean
    gnome_rr_output_info_is_active (GnomeRROutputInfo *self);

#### Returns

whether there is a CRTC assigned to this output (i.e. a signal is being sent to it)

### gnome_rr_output_info_is_connected ()

    gboolean
    gnome_rr_output_info_is_connected (GnomeRROutputInfo *self);

#### Returns

whether the output is physically connected to a monitor

### gnome_rr_output_info_is_primary_tile ()

    gboolean
    gnome_rr_output_info_is_primary_tile (GnomeRROutputInfo *self);

#### Parameters

self | a GnomeRROutputInfo |

#### Returns

`TRUE` if the specified output is connected to the primary tile of a monitor or to an untiled monitor, `FALSE` if the output is connected to a secondary tile.

### gnome_rr_output_info_set_active ()

    void
    gnome_rr_output_info_set_active (GnomeRROutputInfo *self,
                                     gboolean active);

### gnome_rr_output_info_set_geometry ()

    void
    gnome_rr_output_info_set_geometry (GnomeRROutputInfo *self,
                                       int x,
                                       int y,
                                       int width,
                                       int height);

Set the geometry for the monitor connected to the specified output.

If the monitor is a tiled monitor, it sets the geometry for the complete monitor.

#### Parameters

self | a GnomeRROutputInfo |
x | x offset for monitor |
y | y offset for monitor |
width | monitor width |
height | monitor height |

### gnome_rr_output_info_set_primary ()

    void
    gnome_rr_output_info_set_primary (GnomeRROutputInfo *self,
                                      gboolean primary);

### gnome_rr_output_info_set_refresh_rate ()

    void
    gnome_rr_output_info_set_refresh_rate (GnomeRROutputInfo *self,
                                           int rate);

### gnome_rr_output_info_set_rotation ()

    void
    gnome_rr_output_info_set_rotation (GnomeRROutputInfo *self,
                                       GnomeRRRotation rotation);

### gnome_rr_output_info_set_underscanning ()

    void
    gnome_rr_output_info_set_underscanning
                                   (GnomeRROutputInfo *self,
                                    gboolean underscanning);

### gnome_rr_output_info_supports_rotation ()

    gboolean
    gnome_rr_output_info_supports_rotation
                                   (GnomeRROutputInfo *self,
                                    GnomeRRRotation rotation);

### gnome_rr_config_new_current ()

    GnomeRRConfig *
    gnome_rr_config_new_current (GnomeRRScreen *screen,
                                 GError **error);

### gnome_rr_config_apply ()

    gboolean
    gnome_rr_config_apply (GnomeRRConfig *configuration,
                           GnomeRRScreen *screen,
                           GError **error);

### gnome_rr_config_apply_persistent ()

    gboolean
    gnome_rr_config_apply_persistent (GnomeRRConfig *configuration,
                                      GnomeRRScreen *screen,
                                      GError **error);

### gnome_rr_config_match ()

    gboolean
    gnome_rr_config_match (GnomeRRConfig *config1,
                           GnomeRRConfig *config2);

### gnome_rr_config_equal ()

    gboolean
    gnome_rr_config_equal (GnomeRRConfig *config1,
                           GnomeRRConfig *config2);

### gnome_rr_config_sanitize ()

    void
    gnome_rr_config_sanitize (GnomeRRConfig *configuration);

### gnome_rr_config_applicable ()

    gboolean
    gnome_rr_config_applicable (GnomeRRConfig *configuration,
                                GnomeRRScreen *screen,
                                GError **error);

### gnome_rr_config_ensure_primary ()

    gboolean
    gnome_rr_config_ensure_primary (GnomeRRConfig *configuration);

### gnome_rr_config_get_clone ()

    gboolean
    gnome_rr_config_get_clone (GnomeRRConfig *configuration);

#### Returns

whether at least two outputs are at (0, 0) offset and they have the same width/height. Those outputs are of course connected and on (i.e. they have a CRTC assigned).

### gnome_rr_config_get_outputs ()

    GnomeRROutputInfo **
    gnome_rr_config_get_outputs (GnomeRRConfig *configuration);

#### Returns

the output configuration for this GnomeRRConfig.

[array zero-terminated=1][element-type GnomeRROutputInfo][transfer none]

### gnome_rr_config_load_current ()

    gboolean
    gnome_rr_config_load_current (GnomeRRConfig *self,
                                  GError **error);

### gnome_rr_config_set_clone ()

    void
    gnome_rr_config_set_clone (GnomeRRConfig *configuration,
                               gboolean clone);

## Types and Values

### GnomeRROutputInfo

    typedef struct {
        GObject parent;
    } GnomeRROutputInfo;

The representation of an output, which can be used for querying and setting display state.

### struct GnomeRROutputInfoClass

    struct GnomeRROutputInfoClass {
        GObjectClass parent_class;
    };

### GnomeRRConfig

    typedef struct {
        GObject parent;
    } GnomeRRConfig;

### struct GnomeRRConfigClass

    struct GnomeRRConfigClass {
        GObjectClass parent_class;
    };